## disper 0.3.0

=== Makefile ===
# simple Makefile for disper

PREFIX = /usr
BINDIR = $(PREFIX)/bin
DATADIR = $(PREFIX)/share/disper

INSTALL = install

all: disper disper.1

install: disper disper.1 src/build.py.install
	$(INSTALL) -d $(DESTDIR)$(BINDIR)
	$(INSTALL) -m755 disper $(DESTDIR)$(BINDIR)
	$(INSTALL) -d $(DESTDIR)$(DATADIR)/src
	$(INSTALL) -m755 src/disper.py $(DESTDIR)$(DATADIR)/src
	$(INSTALL) -d $(DESTDIR)$(DATADIR)/src/switcher
	$(INSTALL) -m644 src/switcher/*.py $(DESTDIR)$(DATADIR)/src/switcher
	$(INSTALL) -d $(DESTDIR)$(DATADIR)/src/nvidia
	$(INSTALL) -m644 src/nvidia/*.py $(DESTDIR)$(DATADIR)/src/nvidia
	$(INSTALL) -d $(DESTDIR)$(DATADIR)/src/xrandr
	$(INSTALL) -m644 src/xrandr/*.py $(DESTDIR)$(DATADIR)/src/xrandr
	$(INSTALL) -d $(DESTDIR)$(DATADIR)/src/plugins
	$(INSTALL) -m644 src/plugins/*.py $(DESTDIR)$(DATADIR)/src/plugins
	$(INSTALL) -d $(DESTDIR)$(DATADIR)/hooks
	[ -d hooks ] && $(INSTALL) -m755 hooks/* $(DESTDIR)$(DATADIR)/hooks || echo "No hooks to install"
	$(INSTALL) -d $(DESTDIR)$(PREFIX)/share/man/man1
	$(INSTALL) -m444 disper.1 $(DESTDIR)$(PREFIX)/share/man/man1
	$(INSTALL) -d $(DESTDIR)$(PREFIX)/share/pixmaps
	$(INSTALL) -m644 disper.svg $(DESTDIR)$(PREFIX)/share/pixmaps
	# overwrite system-dependant settings file
	$(INSTALL) -m644 -T src/build.py.install $(DESTDIR)$(DATADIR)/src/build.py

src/build.py.install:
	echo "# auto-generated build configuration" >src/build.py.install
	echo "prefix='$(PREFIX)'" >>src/build.py.install
	echo "prefix_share='$(PREFIX)/share/disper'" >>src/build.py.install

disper: disper.in
	sed -e "s|#PREFIX#|$(PREFIX)|" <disper.in >disper

disper.1: disper.1.in
	sed -e "s|#PREFIX#|$(PREFIX)|;s|#VERSION#|`src/disper.py --version|sed 's|^\w\+\s*||'`|" <disper.1.in >disper.1

# run this after changing command-line options in src/cli.py
# afterwards the file can be committed to the repository
disper.1.in: src/disper.py disper.1.in.in
	help2man --name="on-the-fly display switcher" --include=disper.1.in.in \
		-N --section=1 --output=disper.1.tmp $<
	perl -e '$$_=join("",<STDIN>);s/\.IP\s*Actions:\s*\.IP/.SH ACTIONS\n.TP/im;print' <disper.1.tmp >disper.1.tmp.1
	cat disper.1.tmp.1 | sed 's/\(disper\|cli\)\.py/disper/g' >disper.1.in
	rm -f disper.1.tmp disper.1.tmp.1

clean:
	rm -f disper disper.1 disper.1.tmp disper.1.tmp.1 src/build.py.install
	find . -name *.pyc -exec rm -f {} \;
	find . -name *.pyo -exec rm -f {} \;
	find . -name core -exec rm -f {} \;
	find . -name *.swp -exec rm -f {} \;

=== debian/changelog ===
disper (0.3.0-1) unstable; urgency=low

  * Initial release (Closes: #634241)

 -- Vincent Cheng <Vincentc1208@gmail.com>  Sun, 17 Jul 2011 22:30:03 -0700

=== debian/control ===
Source: disper
Section: utils
Priority: optional
Maintainer: Vincent Cheng <Vincentc1208@gmail.com>
Build-Depends: debhelper (>= 8), python (>= 2.6.6-3~)
Standards-Version: 3.9.2
X-Python-Version: >= 2.3
Homepage: http://willem.engen.nl/projects/disper/
Vcs-Svn: svn://svn.debian.org/svn/collab-maint/deb-maint/disper/trunk
Vcs-Browser: http://svn.debian.org/wsvn/collab-maint/deb-maint/disper/trunk

Package: disper
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, libxrandr2, libx11-6
Recommends: libnotify-bin
Description: display switcher for attaching/detaching displays easily
 No more headaches just before your presentation. Disper lets you add and
 remove display devices at the press of a button.  It detects what display
 devices are attached at the moment, and configures the display output
 automatically. You can specify whether to clone the output on all displays,
 or to extend the desktop.

## disper 0.3.1

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # simple Makefile for disper
 
-PREFIX = /usr
+PREFIX = /usr/local
 BINDIR = $(PREFIX)/bin
 DATADIR = $(PREFIX)/share/disper

=== debian/changelog ===
disper (0.3.1-2) unstable; urgency=medium

  * Move maintainership of package to the Python Applications Packaging Team
    <python-apps-team@lists.alioth.debian.org>.
    - Add myself to Uploaders.
  * Update email address.
  * Bump standards version to 3.9.6, no changes required.

 -- Vincent Cheng <vcheng@debian.org>  Thu, 16 Oct 2014 00:18:16 -0700

disper (0.3.1-1) unstable; urgency=low

  * New upstream release.
    - Add support for nvidia >= 302.07 + XRandR 1.2. (Closes: #682600;
      LP: #662760)
  * Fix unversioned-copyright-format-uri and vcs-field-not-canonical.
  * Update Standards version to 3.9.4, no changes required.
  * Update dh compat level from 8 to 9.

 -- Vincent Cheng <Vincentc1208@gmail.com>  Mon, 06 May 2013 01:46:19 -0700

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: disper
 Section: utils
 Priority: optional
-Maintainer: Vincent Cheng <Vincentc1208@gmail.com>
-Build-Depends: debhelper (>= 8), python (>= 2.6.6-3~)
-Standards-Version: 3.9.2
+Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
+Uploaders: Vincent Cheng <vcheng@debian.org>
+Build-Depends: debhelper (>= 9), python (>= 2.6.6-3~)
+Standards-Version: 3.9.6
 X-Python-Version: >= 2.3
 Homepage: http://willem.engen.nl/projects/disper/
-Vcs-Svn: svn://svn.debian.org/svn/collab-maint/deb-maint/disper/trunk
-Vcs-Browser: http://svn.debian.org/wsvn/collab-maint/deb-maint/disper/trunk
+Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/disper/trunk/
+Vcs-Browser: http://anonscm.debian.org/viewvc/python-apps/packages/disper/trunk/
 
 Package: disper
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2

override_dh_auto_build:
	$(MAKE) PREFIX=/usr DESTDIR=$(CURDIR)/debian/disper

override_dh_auto_install:
	$(MAKE) install PREFIX=/usr DESTDIR=$(CURDIR)/debian/disper

=== debian/watch ===
version=3
http://willem.engen.nl/projects/disper/ http://ppa.launchpad.net/disper-dev/ppa/ubuntu/pool/main/d/disper/disper_(.*)\.(?:tar\.(?:gz|bz2|xz))
